﻿Type=Activity
Version=3.5
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	Dim astream As AsyncStreamsText
End Sub

Sub Globals
	Dim txtLog As EditText
	Dim btnStop As Button
	Dim Temperature As EditText
	Dim Temp As String
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("2")
	If astream.IsInitialized = False Then
		astream.Initialize("Com_Display", "astream_", Main.serial1.InputStream, Main.serial1.OutputStream) 
	End If
	txtLog.Text = "" 'clear Text 
	txtLog.Width = 100%x
End Sub

Sub astream_newtext (InText As String)
' for unknown reasons, its newtext and not NewText in the above call. See my changes in AsyncStreamsText
    LogMessage(InText)
	' Parse the temperature from the entire string
	If InText.Length > 5 Then
		If InText.SubString2(0,6) = "Ext = " Then
			Temp = InText.SubString2(6,InText.Length)
			Temperature.Text = Temp
		End If
	End If


End Sub

Sub astream_Error
	ToastMessageShow("Connection is broken.", True)
End Sub

Sub astream_Terminated
	astream_Error
End Sub

Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		astream.Close
	End If
End Sub

Sub btnStop_Click
		astream.Close
		ExitApplication
End Sub

Sub LogMessage(Msg As String)
	txtLog.Text = txtLog.Text &  Msg & CRLF
	txtLog.SelectionStart = txtLog.Text.Length
End Sub